
Redmine - Defect #12648

Multiple levels of nested subtasks not displayed correctly in issue list

2012-12-19 14:46 - Mike Jackson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.0

Description

Note that 2.2.0 is not included in the "Affected version" dropdown. I have selected "dev" in its place.

See attached screenshots. Subtasks are not shown correctly in the issues list if they are nested more than one level below the parent

issue. In this instance, the nesting should be displayed as 35 -> 31 -> 37. However, in the issue list, the 35 -> 31 nesting is shown,

but 37 is shown as its own issue, not a subtask of any other issue.

[redmine@web1a.ops.ord1a redmine-2.2.0]$ RAILS_ENV=production rake about

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.9

Active Record version     3.2.9

Action Pack version       3.2.9

Active Resource version   3.2.9

Action Mailer version     3.2.9

Active Support version    3.2.9

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x00000014171330>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /var/www/newredmine/redmine-2.2.0

Environment               production

Database adapter          mysql2

Database schema version   20121026003537

[redmine@web1a.ops.ord1a ~]$ gem list

LOCAL GEMS ***

actionmailer (3.2.9)

actionpack (3.2.9)

activemodel (3.2.9)

activerecord (3.2.9)

activeresource (3.2.9)

activesupport (3.2.9)

arel (3.0.2)

builder (3.0.0)

bundler (1.2.3, 1.1.3)

coderay (1.0.8)

daemon_controller (1.1.0)

erubis (2.7.0)

fastthread (1.0.7)

hike (1.2.1)

i18n (0.6.1)

journey (1.0.4)

jquery-rails (2.0.3)

json (1.7.5)
mail (2.4.4)

mime-types (1.19)

multi_json (1.5.0)

mysql2 (0.3.11)

net-ldap (0.3.1)

passenger (3.0.18)

polyglot (0.3.3)

rack (1.4.1)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.2)

rack-test (0.6.2)

rails (3.2.9)

railties (3.2.9)

rake (10.0.3, 0.9.2.2)

rdoc (3.12)

ruby-openid (2.1.8)

rubygems-bundler (0.9.2)

rvm (1.11.3.3)

sprockets (2.2.2)

thor (0.16.0)

tilt (1.3.3)

treetop (1.4.12)

tzinfo (0.3.35)

Related issues:

Is duplicate of Redmine - Feature #7907: Display Issues in a hierarchy (tree) New 2011-03-17

History

#1 - 2012-12-19 16:17 - Daniel Felix

This is some CSS related issue. There is just one css class "child". Maybe this could be solved by adding a hierachical level to this child-class.

#2 - 2013-01-16 09:58 - Daniel Felix

- Affected version (unused) changed from devel to 2.2.0

- Affected version set to 2.2.0

Updated affected version.

Any news on this? What do you think about those hierachical class?

#3 - 2013-03-26 17:28 - Dipan Mehta

Is this related to #10048 and/or #7417 ?

#4 - 2013-03-27 06:26 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #7907.

Files
